## ros-kinetic-pilz-trajectory-generation 0.3.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pilz_trajectory_generation)

## Add support for C++11, supported in ROS Kinetic and newer
add_definitions(-std=c++11)
add_definitions(-Wall)
add_definitions(-Wextra)
add_definitions(-Wno-unused-parameter)
add_definitions(-Werror)

find_package(catkin REQUIRED COMPONENTS
  moveit_core
  moveit_msgs
  moveit_ros_planning
  pilz_msgs
  pilz_extensions
  pluginlib
  roscpp
  tf2
  tf2_eigen
  tf2_geometry_msgs
  eigen_conversions
  moveit_ros_move_group
  moveit_ros_planning_interface
  pilz_industrial_motion_testutils
  kdl_conversions
)

find_package(orocos_kdl)
find_package(Boost REQUIRED COMPONENTS )

################
## Clang tidy ##
################
if(CATKIN_ENABLE_CLANG_TIDY)
  find_program(
    CLANG_TIDY_EXE
    NAMES "clang-tidy"
    DOC "Path to clang-tidy executable"
    )
  if(NOT CLANG_TIDY_EXE)
    message(FATAL_ERROR "clang-tidy not found.")
  else()
    message(STATUS "clang-tidy found: ${CLANG_TIDY_EXE}")
    set(CMAKE_CXX_CLANG_TIDY "${CLANG_TIDY_EXE}")
  endif()
endif()

###################################
## catkin specific configuration ##
###################################
catkin_package(
  CATKIN_DEPENDS
  moveit_msgs
  pilz_msgs
  tf2_geometry_msgs
)

###########
## Build ##
###########
include_directories(
  include
)

# To avoid Warnings from clang-tidy declare system
include_directories(
  SYSTEM
  ${Boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
)

## Declare a C++ library
add_library(${PROJECT_NAME}
  src/pilz_command_planner.cpp
  src/planning_context_loader.cpp
  src/joint_limits_validator.cpp
  src/joint_limits_aggregator.cpp
  src/joint_limits_container.cpp
  src/cartesian_limits_aggregator.cpp
  src/cartesian_limit.cpp
  src/limits_container.cpp
  src/trajectory_functions.cpp
  src/plan_components_builder.cpp
)

target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

#############
## Plugins ##
#############
add_library(pilz_command_planner
            src/pilz_command_planner.cpp
            src/planning_context_loader.cpp
            src/joint_limits_aggregator.cpp
            src/joint_limits_container.cpp
            src/limits_container.cpp
            src/cartesian_limit.cpp
            src/cartesian_limits_aggregator.cpp
            )
target_link_libraries(pilz_command_planner
                      ${catkin_LIBRARIES})

add_library(planning_context_loader_ptp
            src/planning_context_loader_ptp.cpp
            src/planning_context_loader.cpp
            src/trajectory_functions.cpp
            src/trajectory_generator.cpp
            src/trajectory_generator_ptp.cpp
            src/velocity_profile_atrap.cpp
            src/joint_limits_container.cpp
            )

target_link_libraries(planning_context_loader_ptp
                      ${catkin_LIBRARIES}) # DO NOT LINK ${PROJECT_NAME} here!

add_library(planning_context_loader_lin
            src/planning_context_loader_lin.cpp
            src/planning_context_loader.cpp
            src/trajectory_functions.cpp
            src/trajectory_generator.cpp
            src/trajectory_generator_lin.cpp
            src/velocity_profile_atrap.cpp
            )

target_link_libraries(planning_context_loader_lin
                      ${catkin_LIBRARIES}) # DO NOT LINK ${PROJECT_NAME} here!

add_library(planning_context_loader_circ
            src/planning_context_loader_circ.cpp
            src/planning_context_loader.cpp
            src/trajectory_functions.cpp
            src/trajectory_generator.cpp
            src/trajectory_generator_circ.cpp
            src/path_circle_generator.cpp
            )


target_link_libraries(planning_context_loader_circ
                      ${catkin_LIBRARIES}) # DO NOT LINK ${PROJECT_NAME} here!

add_library(command_list_manager
            src/command_list_manager.cpp
            src/plan_components_builder.cpp)
target_link_libraries(command_list_manager
            ${catkin_LIBRARIES})
add_dependencies(command_list_manager
            ${catkin_EXPORTED_TARGETS})

add_library(sequence_capability
            src/move_group_sequence_action.cpp
            src/move_group_sequence_service.cpp
            src/plan_components_builder.cpp
            src/command_list_manager.cpp
            src/trajectory_blender_transition_window.cpp
            src/joint_limits_aggregator.cpp  # do we need joint limits and cartesian_limit here?
            src/joint_limits_container.cpp
            src/limits_container.cpp
            src/cartesian_limit.cpp
            src/cartesian_limits_aggregator.cpp
            )
target_link_libraries(sequence_capability
                      ${catkin_LIBRARIES}) # DO NOT LINK ${PROJECT_NAME} here!
add_dependencies(sequence_capability
           ${catkin_EXPORTED_TARGETS})

#############
## Install ##
#############
install(FILES
       plugins/sequence_capability_plugin_description.xml
       plugins/pilz_command_planner_plugin_description.xml
       plugins/planning_context_plugin_description.xml
       DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/plugins
       )

## Mark libraries for installation
install(TARGETS
   pilz_command_planner
   planning_context_loader_ptp
   planning_context_loader_lin
   planning_context_loader_circ
   command_list_manager
   sequence_capability
#   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
#install(DIRECTORY include/${PROJECT_NAME}/
#  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#  FILES_MATCHING PATTERN "*.h"
#  PATTERN ".svn" EXCLUDE
#)

#############
## Testing ##
#############
if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  find_package(code_coverage REQUIRED)
  find_package(pilz_testutils REQUIRED)

  include_directories(
    ${pilz_testutils_INCLUDE_DIRS}
  )

  if(ENABLE_COVERAGE_TESTING)
    include(CodeCoverage)
    APPEND_COVERAGE_COMPILER_FLAGS()
  endif()

  ## Declare a C++ library
  add_library(${PROJECT_NAME}_test
      test/test_utils.cpp
      src/trajectory_functions.cpp
      src/joint_limits_aggregator.cpp
      src/joint_limits_validator.cpp
      src/trajectory_generator.cpp
      src/trajectory_generator_ptp.cpp
      src/trajectory_generator_lin.cpp
      src/trajectory_generator_circ.cpp
      src/path_circle_generator.cpp
      src/velocity_profile_atrap.cpp
      src/limits_container.cpp
      src/joint_limits_container.cpp
      src/cartesian_limit.cpp
      src/command_list_manager.cpp
      src/trajectory_blender_transition_window.cpp
      src/cartesian_limits_aggregator.cpp
      src/planning_context_loader.cpp
      src/plan_components_builder.cpp
  )

  target_link_libraries(${PROJECT_NAME}_test
    ${catkin_LIBRARIES}
  )

add_dependencies(${PROJECT_NAME}_test
            ${catkin_EXPORTED_TARGETS})

#########################
####Integration Tests####
#########################

# Planning Integration tests
add_rostest_gmock(integrationtest_sequence_action_capability
  test/integrationtest_sequence_action_capability.test
  test/integrationtest_sequence_action_capability.cpp
)

target_link_libraries(integrationtest_sequence_action_capability
   ${catkin_LIBRARIES} ${pilz_testutils_LIBRARIES} ${PROJECT_NAME}_test)

add_rostest_gmock(integrationtest_sequence_action_capability_with_gripper
  test/integrationtest_sequence_action_capability_with_gripper.test
  test/integrationtest_sequence_action_capability.cpp
)
target_link_libraries(integrationtest_sequence_action_capability_with_gripper
   ${catkin_LIBRARIES} ${pilz_testutils_LIBRARIES} ${PROJECT_NAME}_test)

add_rostest_gmock(integrationtest_sequence_action_capability_abb_irb2400
  test/integrationtest_sequence_action_capability_abb_irb2400.test
  test/integrationtest_sequence_action_capability.cpp
)
target_link_libraries(integrationtest_sequence_action_capability_abb_irb2400
  ${catkin_LIBRARIES} ${pilz_testutils_LIBRARIES} ${PROJECT_NAME}_test)

# Comment unstable panda test for now

#add_rostest_gmock(integrationtest_sequence_action_capability_frankaemika_panda
#  test/integrationtest_sequence_action_capability_frankaemika_panda.test
#  test/integrationtest_sequence_action_capability.cpp
#)
#target_link_libraries(integrationtest_sequence_action_capability_frankaemika_panda
#  ${catkin_LIBRARIES} ${pilz_testutils_LIBRARIES} ${PROJECT_NAME}_test)

add_rostest_gtest(integrationtest_sequence_service_capability
  test/integrationtest_sequence_service_capability.test
  test/integrationtest_sequence_service_capability.cpp
)
target_link_libraries(integrationtest_sequence_service_capability
  ${catkin_LIBRARIES} ${PROJECT_NAME}_test)

#add_rostest(test/integrationtest_sequence_service_capability_frankaemika_panda.test
#  DEPENDENCIES integrationtest_sequence_service_capability )

add_rostest(test/integrationtest_sequence_service_capability_abb_irb2400.test
  DEPENDENCIES integrationtest_sequence_service_capability )

add_rostest_gtest(integrationtest_sequence_service_capability_with_gripper
  test/integrationtest_sequence_service_capability_with_gripper.test
  test/integrationtest_sequence_service_capability.cpp
)
target_link_libraries(integrationtest_sequence_service_capability_with_gripper
  ${catkin_LIBRARIES} ${PROJECT_NAME}_test)

# Planning Integration tests
add_rostest_gtest(integrationtest_command_planning
  test/integrationtest_command_planning.test
  test/integrationtest_command_planning.cpp
)
target_link_libraries(integrationtest_command_planning
   ${catkin_LIBRARIES} ${PROJECT_NAME}_test)

add_rostest(test/integrationtest_command_planning_with_gripper.test
  DEPENDENCIES integrationtest_command_planning )

add_rostest(test/integrationtest_command_planning_abb_irb2400.test
  DEPENDENCIES integrationtest_command_planning )

#add_rostest(test/integrationtest_command_planning_frankaemika_panda.test
#  DEPENDENCIES integrationtest_command_planning )

# Blending Integration tests
add_rostest_gtest(integrationtest_command_list_manager
  test/integrationtest_command_list_manager.test
  test/integrationtest_command_list_manager.cpp
)
target_link_libraries(integrationtest_command_list_manager
${catkin_LIBRARIES} ${PROJECT_NAME}_test)

add_rostest_gtest(integrationtest_get_solver_tip_frame
  test/integrationtest_get_solver_tip_frame.test
  test/integrationtest_get_solver_tip_frame.cpp
)
target_link_libraries(integrationtest_get_solver_tip_frame
${catkin_LIBRARIES} ${PROJECT_NAME}_test)

add_rostest_gtest(integrationtest_plan_components_builder
  test/integrationtest_plan_components_builder.test
  test/integrationtest_plan_components_builder.cpp
)
target_link_libraries(integrationtest_plan_components_builder
${catkin_LIBRARIES} ${PROJECT_NAME}_test)



##################
####Unit Tests####
##################

  ## Add gtest based cpp test target and link libraries
  catkin_add_gtest(unittest_pilz_command_planner_direct
                   test/unittest_pilz_command_planner_direct.cpp
                   src/planning_context_loader_ptp.cpp)
  target_link_libraries(unittest_pilz_command_planner_direct
    ${PROJECT_NAME} ${catkin_LIBRARIES} ${PROJECT_NAME}_test)

  ## Add gtest based cpp test target and link libraries
  catkin_add_gtest(unittest_velocity_profile_atrap
                   test/unittest_velocity_profile_atrap.cpp)
  target_link_libraries(unittest_velocity_profile_atrap
    ${catkin_LIBRARIES} ${PROJECT_NAME}_test)

  catkin_add_gtest(unittest_trajectory_generator
                   test/unittest_trajectory_generator.cpp)
  target_link_libraries(unittest_trajectory_generator
    ${PROJECT_NAME} ${catkin_LIBRARIES} ${PROJECT_NAME}_test)

  # Trajectory Generator Unit Test
  add_rostest_gtest(unittest_trajectory_functions
    test/unittest_trajectory_functions.test
    test/unittest_trajectory_functions.cpp
  )

  target_link_libraries(unittest_trajectory_functions
    ${catkin_LIBRARIES}  ${PROJECT_NAME}_test)


  # unittest for trajectory blender transition window
