=== debian/changelog ===
ros-kinetic-pilz-trajectory-generation (0.3.10-1xenial) xenial; urgency=high

  * Fix clang-tidy issues
  * integrate clang-tidy via CMake flag
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 10 Sep 2019 22:00:00 -0000

ros-kinetic-pilz-trajectory-generation (0.3.9-1xenial) xenial; urgency=high

  * Adapt to changes in pilz_robots
  * add static code analyzing (clang-tidy)
  * drop deprecated isRobotStateEqual()
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 04 Sep 2019 22:00:00 -0000

ros-kinetic-pilz-trajectory-generation (0.3.8-1xenial) xenial; urgency=high

  * Commenting unstable test with franka emika panda

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 01 Jul 2019 22:00:00 -0000

ros-kinetic-pilz-trajectory-generation (0.3.7-1xenial) xenial; urgency=high

  * fixed an error that led to trajectories not strictly increasing in time
  * update dependencies of trajectory_generation
  * fix CIRC path generator and increase test coverage
  * adopt strictest limits in ptp planner (refactor JointLimitsContainer and TrajectoryGeneratorPTP)
  * Enable gripper commands inside a sequence
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 08 May 2019 22:00:00 -0000

ros-kinetic-pilz-trajectory-generation (0.3.6-1xenial) xenial; urgency=high

  * refactor the testdataloader

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 25 Feb 2019 23:00:00 -0000

ros-kinetic-pilz-trajectory-generation (0.3.5-1xenial) xenial; urgency=high

  * Increase line coverage for blending to 100%

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 05 Feb 2019 23:00:00 -0000

ros-kinetic-pilz-trajectory-generation (0.3.4-1xenial) xenial; urgency=high

  * refactor determining the trajectory alignment in the blend implementation
  * extend and refactor unittest of blender_transition_window
  * add planning group check to blender_transition_window

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 04 Feb 2019 23:00:00 -0000

ros-kinetic-pilz-trajectory-generation (0.3.3-1xenial) xenial; urgency=high

  * add more details to blend algorithm description
  * change handling of empty sequences in capabilities to be non-erroneous
  * rename command_planner -> pilz_command_planner

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 24 Jan 2019 23:00:00 -0000

ros-kinetic-pilz-trajectory-generation (0.3.2-1xenial) xenial; urgency=high

  * use pilz_testutils package for blend test
  * use collision-aware ik calculation
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Thu, 17 Jan 2019 23:00:00 -0000

ros-kinetic-pilz-trajectory-generation (0.3.1-1xenial) xenial; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Sun, 16 Dec 2018 23:00:00 -0000

ros-kinetic-pilz-trajectory-generation (0.3.0-1xenial) xenial; urgency=high

  * add append method for avoiding duplicate points in robot_trajectory trajectories
  * Relax the precondition on trajectory generators from v_start==0 to |v_start| < 1e-10 to gain robustness
  * Set last point of generated trajectories to have vel=acc=0 to match the first point.
  * add sequence action and service capabilities to concatenate multiple requests
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 27 Nov 2018 23:00:00 -0000

ros-kinetic-pilz-trajectory-generation (0.1.1-1xenial) xenial; urgency=high

  * port to melodic
  * drop unused dependencies
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Mon, 24 Sep 2018 22:00:00 -0000

ros-kinetic-pilz-trajectory-generation (0.1.0-1xenial) xenial; urgency=high

  * Created trajectory generation package with ptp, lin, circ and blend planner
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Thu, 13 Sep 2018 22:00:00 -0000
